@echo off
:config
echo Razors UI Configuration:
echo.
echo [1] Choose Class Type Caster / Noncaster
echo [2] Choose UI Resolution that you use
echo [3] Choose Right Clickys Option On / Off
echo [4] Quit
echo.
choice /c:1234
if errorlevel=4 goto end
if errorlevel=3 goto clicky
if errorlevel=2 goto res
goto class

:class
cls
echo Class Configuration:
echo.
echo [1] Caster Version
echo [2] Noncaster Version
echo [3] Back
echo.
choice /c:123
if errorlevel=3 goto config
if errorlevel=2 goto noncaster
goto caster

:caster
copy /y mods\EQUI_PlayerWindow_Caster.xml EQUI_PlayerWindow.xml
echo Done.
goto config

:noncaster
copy /y mods\EQUI_playerWindow_NonCaster.xml EQUI_PlayerWindow.xml
echo Done.
goto config

:res
cls
echo Resolution Configureation Razor Branded:
echo.
echo [1] Branded with Razors Edge on the dashboard
echo [2] Not Branded with Razors Edge on the dashboard
echo [3] Back
echo.
choice /c:123
if errorlevel=3 goto config
if errorlevel=2 goto res2
goto res3

:res2
cls
echo Non Branded Resolution Configuration:
echo.
echo [1] Play at 1152 x 864
echo [2] Play at 1024 x 768
echo [3] Plat at 1280 x 1024
echo [4] Back
echo.
choice /c:1234
if errorlevel=4 goto config
if errorlevel=3 goto non1280
if errorlevel=2 goto nonlow
goto non

:res3
cls
echo Branded Resolution Configuration:
echo.
echo [1] Play at 1152 x 864
echo [2] Play at 1024 x 768
echo [3] Play at 1280 x 1024
echo [4] Back
echo.
choice /c:1234
if errorlevel=4 goto config
if errorlevel=3 goto 1280
if errorlevel=2 goto low
goto normal

:non
copy /y mods\wnd_bg_target_non.tga wnd_bg_target.tga
copy /y mods\EQUI_TargetWindow.xml EQUI_TargetWindow.xml
copy /y mods\UI_Jaksh_63.ini UI_Jaksh_maelin.ini
copy /y mods\TargetBox_non.tga TargetBox.tga
echo Done.
goto config

:nonlow
copy /y mods\wnd_bg_target_non_low.tga wnd_bg_target.tga
copy /y mods\EQUI_TargetWindow_low.xml EQUI_TargetWindow.xml
copy /y mods\UI_Jaksh_63_lowres.ini UI_Jaksh_maelin.ini
copy /y mods\TargetBox_non_low.tga TargetBox.tga
echo Done.
goto config


:normal
copy /y mods\wnd_bg_target.tga wnd_bg_target.tga
copy /y mods\EQUI_TargetWindow.xml EQUI_TargetWindow.xml
copy /y mods\UI_Jaksh_63.ini UI_Jaksh_maelin.ini
copy /y mods\TargetBox.tga TargetBox.tga
echo Done.
goto config

:low
copy /y mods\wnd_bg_target_low.tga wnd_bg_target.tga
copy /y mods\EQUI_TargetWindow_low.xml EQUI_TargetWindow.xml
copy /y mods\UI_Jaksh_63_lowres.ini UI_Jaksh_maelin.ini
copy /y mods\TargetBox_low.tga TargetBox.tga
echo Done.
goto config

:non1280
copy /y mods\wnd_bg_target_non_1280.tga wnd_bg_target.tga
copy /y mods\EQUI_TargetWindow_1280.xml EQUI_TargetWindow.xml
copy /y mods\UI_Jaksh_vazaelle_1280.ini UI_Jaksh_maelin.ini
copy /y mods\TargetBox_non_1280.tga TargetBox.tga
echo Done.
goto config

:1280
copy /y mods\wnd_bg_target_1280.tga wnd_bg_target.tga
copy /y mods\EQUI_TargetWindow_1280.xml EQUI_TargetWindow.xml
copy /y mods\UI_Jaksh_vazaelle_1280.ini UI_Jaksh_maelin.ini
copy /y mods\TargetBox_1280.tga TargetBox.tga
echo Done.
goto config

:clicky
cls
echo Rightclicky Option Configuration:
echo.
echo [1] Without Right Clickable Option
echo [2] With Right Clickable Option
echo [3] Back
echo.
choice /c:123
if errorlevel=3 goto config
if errorlevel=2 goto click
goto noclick

:click
copy /y mods\EQUI_HotButtonWnd_RC.xml EQUI_HotButtonWnd.xml
echo Done.
goto config

:noclick
copy /y mods\EQUI_HotbuttonWnd_NORM.xml EQUI_HotButtonWnd.xml
echo Done.
goto config

:end
cls
echo Exiting Configuration
@echo on

